package com.jkcredit.invoice.model.entity.waybill;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.jkcredit.invoice.model.vo.CardAndTradeVo;

import java.util.List;

/**
 * 自有车交易
 * @author mumuxigua
 */
public class SelfCarTrade {
    private Long id;
    /**
     * 客户号
     */
    private String customId;

    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 公司编号
     */
    private String companyNum;

    /**
     * 公司税号
     */
    private String companyReferencenum;

    /**
     * etc卡号
     */
    @Excel(name = "etc卡号")
    private String cardId;


    /**
     * 交易id
     */
    @Excel(name = "交易id")
    private String tradeId;

    private List<CardAndTradeVo> cardAndTradeVos;

    private List<String> cardIds;

    private List<String> tradeIds;
    /**
     * 交易时间
     */
    private String exTime;

    /**
     * 交易费用
     */
    private Long fee;

    /**
     * 交易状态1-代开票 2-开票中 3-已开票
     */
    private Integer status;
    /**
     * 1 - 未解绑 2-解绑 就不再处理
     */
    private Integer bindStatus;

    /**
     * 申请Id
     */
    private String applId;

    /**
     * 申请开票时间
     */
    private String aclTime;

    /********下边字段用于查询*********/
    private String exTimeBegin;

    private String exTimeEnd;

    private String aclTimeBegin;

    private String aclTimeEnd;

    /**
     * 会否是异常发票 1 -是 2-否
     */
    private String exceptionFlag;

    private String days;

    /**
     * 0-接口 1-平台
     */
    private Integer interType = 1;

    public Integer getInterType() {
        return interType;
    }

    public void setInterType(Integer interType) {
        this.interType = interType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCustomId() {
        return customId;
    }

    public void setCustomId(String customId) {
        this.customId = customId;
    }

    public String getCompanyNum() {
        return companyNum;
    }

    public void setCompanyNum(String companyNum) {
        this.companyNum = companyNum;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getTradeId() {
        return tradeId;
    }

    public void setTradeId(String tradeId) {
        this.tradeId = tradeId;
    }

    public String getExTime() {
        return exTime;
    }

    public void setExTime(String exTime) {
        this.exTime = exTime;
    }

    public Long getFee() {
        return fee;
    }

    public void setFee(Long fee) {
        this.fee = fee;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getApplId() {
        return applId;
    }

    public void setApplId(String applId) {
        this.applId = applId;
    }

    public String getAclTime() {
        return aclTime;
    }

    public void setAclTime(String aclTime) {
        this.aclTime = aclTime;
    }

    public String getCompanyReferencenum() {
        return companyReferencenum;
    }

    public void setCompanyReferencenum(String companyReferencenum) {
        this.companyReferencenum = companyReferencenum;
    }

    public String getExTimeBegin() {
        return exTimeBegin;
    }

    public void setExTimeBegin(String exTimeBegin) {
        this.exTimeBegin = exTimeBegin;
    }

    public String getExTimeEnd() {
        return exTimeEnd;
    }

    public void setExTimeEnd(String exTimeEnd) {
        this.exTimeEnd = exTimeEnd;
    }

    public String getAclTimeBegin() {
        return aclTimeBegin;
    }

    public void setAclTimeBegin(String aclTimeBegin) {
        this.aclTimeBegin = aclTimeBegin;
    }

    public String getAclTimeEnd() {
        return aclTimeEnd;
    }

    public void setAclTimeEnd(String aclTimeEnd) {
        this.aclTimeEnd = aclTimeEnd;
    }

    public String getExceptionFlag() {
        return exceptionFlag;
    }

    public void setExceptionFlag(String exceptionFlag) {
        this.exceptionFlag = exceptionFlag;
    }

    public String getDays() {
        return days;
    }

    public void setDays(String days) {
        this.days = days;
    }

    public List<CardAndTradeVo> getCardAndTradeVos() {
        return cardAndTradeVos;
    }

    public void setCardAndTradeVos(List<CardAndTradeVo> cardAndTradeVos) {
        this.cardAndTradeVos = cardAndTradeVos;
    }

    public List<String> getCardIds() {
        return cardIds;
    }

    public void setCardIds(List<String> cardIds) {
        this.cardIds = cardIds;
    }

    public List<String> getTradeIds() {
        return tradeIds;
    }

    public void setTradeIds(List<String> tradeIds) {
        this.tradeIds = tradeIds;
    }

    public Integer getBindStatus() {
        return bindStatus;
    }

    public void setBindStatus(Integer bindStatus) {
        this.bindStatus = bindStatus;
    }

    @Override
    public String toString() {
        return "SelfCarTrade{" +
                "id=" + id +
                ", customId='" + customId + '\'' +
                ", companyName='" + companyName + '\'' +
                ", companyNum='" + companyNum + '\'' +
                ", companyReferencenum='" + companyReferencenum + '\'' +
                ", cardId='" + cardId + '\'' +
                ", tradeId='" + tradeId + '\'' +
                ", exTime='" + exTime + '\'' +
                ", fee=" + fee +
                ", status=" + status +
                ", applId='" + applId + '\'' +
                ", aclTime='" + aclTime + '\'' +
                ", exTimeBegin='" + exTimeBegin + '\'' +
                ", exTimeEnd='" + exTimeEnd + '\'' +
                ", aclTimeBegin='" + aclTimeBegin + '\'' +
                ", aclTimeEnd='" + aclTimeEnd + '\'' +
                ", exceptionFlag='" + exceptionFlag + '\'' +
                ", interType=" + interType +
                '}';
    }
}
